\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and the Qt Graphics View Framework

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Qt::GraphicsViewInput Class Reference
Input Classes

`#include <CGAL/Qt/GraphicsViewInput.h>`

Inherited by CGAL::Qt::GraphicsViewCircleInput< K >`[private]`, CGAL::Qt::GraphicsViewCircularArcInput< K >, CGAL::Qt::GraphicsViewIsoRectangleInput< K >, and CGAL::Qt::GraphicsViewPolylineInput< K >.

## Definition

An object of type `GraphicsViewInput` can emit a signal with `CGAL::Object` as argument.

## Signals
void | generate (Object)
| A signal that emits a `CGAL::Object`.